Bug 43108 - android:visibility="gone" in Tabbar.axml does not reclaim space
Summary: android:visibility="gone" in Tabbar.axml does not reclaim space
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-05 22:56 UTC by adrianknight89
Modified: 2018-04-14 19:23 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Repro (65.45 KB, application/zip)
2016-08-05 22:56 UTC, adrianknight89
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description adrianknight89 2016-08-05 22:56:23 UTC
Created attachment 16926 [details]
Repro

I'm trying to hide the tabs in TabLayout. When I set visibility to gone, the tabs are hidden but space is not reclaimed. Please see repro. This is with XF 2.3.2.118-pre1 and support library 23.3.0.
Comment 1 Samantha Houts [MSFT] 2016-09-30 23:16:44 UTC
Should be fixed in 2.3.4-pre1. Thank you!
Comment 2 Parmendra Kumar 2016-11-29 17:00:49 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that this issue has been fixed.


Hence closing this issue.
Comment 3 Mario Galván 2018-04-14 19:23:32 UTC
This is happening again on 2.5.1.444934.